
Redmine - Feature #28213

Support external ID when importing issues

2018-02-19 10:30 - Gregor Schmidt

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Importers Estimated time: 0.00 hour

Target version: 4.1.0   

Resolution: Fixed   

Description

As described in #25799, it can be tedious to reference other issues of the same import in the CSV document. When the document to

import was created manually, the order of issues influences the position of rows and therefore the values of parent relations might

need to change during the import.

This problem was not only reported in #25799, but also requested by multiple Planio customers.

The proposed patch tries to simplify this use case. It adds a configuration option "Unique ID". When assigning columns of the

imported document, the user may select this unique ID column. If so, it will be assumed, that references to other rows will use the

unique ID instead of the row position.

N.B.: If that reference starts with a #, it's still interpreted as existing Redmine ticket ID. Consequently it's not supported to have a

unique ID column with values, starting with #-s.

This issue is in conflict with #28198. If interested, I'll gladly provide a patch for both features at once.

Related issues:

Related to Redmine - Feature #28198: Support issue relations when importing i... Closed

Related to Redmine - Feature #25799: Issue Import - Dynamic Parent pasks Closed

Related to Redmine - Feature #26326: Adanced relation handling for Issue Import Closed

Associated revisions

Revision 18285 - 2019-06-20 10:17 - Jean-Philippe Lang

Support external ID when importing issues (#28213).

Patch by Gregor Schmidt and Marius BALTEANU.

Revision 18287 - 2019-06-20 10:58 - Go MAEDA

Update locales (#28213).

History

#1 - 2018-02-19 17:04 - Mischa The Evil

- Related to Feature #28198: Support issue relations when importing issues added

#2 - 2018-02-19 17:05 - Mischa The Evil

- Related to Feature #25799: Issue Import - Dynamic Parent pasks added

#3 - 2018-02-19 17:06 - Mischa The Evil

- Target version set to Unplanned backlogs

#4 - 2018-02-20 12:43 - Gregor Schmidt

Thanks for the triage.

This patch would fix #26326.

#5 - 2018-02-21 03:21 - Mischa The Evil

- Related to Feature #26326: Adanced relation handling for Issue Import added
#6 - 2019-05-06 16:13 - Go MAEDA

- Target version changed from Unplanned backlogs to Candidate for next major release

#7 - 2019-05-09 10:37 - Go MAEDA

The patch cannot be applied to the trunk maybe after r18145.

#8 - 2019-05-10 09:14 - Marius BĂLTEANU

- Target version changed from Candidate for next major release to 4.1.0

Here is an updated version of this patch, the changes were not so big.

All tests pass:  https://gitlab.com/marius-balteanu/redmine/-/jobs/210226866

#9 - 2019-05-10 09:19 - Marius BĂLTEANU

- File 0001-Support-external-ID-when-importing-issues.patch added

#10 - 2019-06-20 10:17 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Patch committed, thanks!

#11 - 2019-08-30 00:00 - Go MAEDA

- Category changed from Issues to Importers

Files

0001-Support-external-ID-when-importing-issues.patch 7.43 KB 2018-02-19 Gregor Schmidt

0001-Support-external-ID-when-importing-issues.patch 7.42 KB 2019-05-10 Marius BĂLTEANU
